So überprüfen Sie, ob Ihre Erweiterungen mit Firefox 57 nicht mehr funktionieren

So überprüfen Sie, ob Ihre Erweiterungen mit Firefox 57 nicht mehr funktionieren

How Check If Your Extensions Will Stop Working With Firefox 57

Mit Firefox 57, der am 14. November 2017 veröffentlicht werden soll, wird Mozilla Unterstützung beenden für Legacy-Erweiterungen und unterstützen nur neuere WebExtensions. So überprüfen Sie, ob Ihre Erweiterungen nicht mehr funktionieren – und wie Sie sie bei Bedarf nach November weiter verwenden können.



Warum XUL-Erweiterungen verschwinden

Alle traditionellen Erweiterungen, einschließlich XUL-Erweiterungen , werden eingestellt. Sie waren sehr mächtig, aber das war sowohl eine Stärke als auch eine Schwäche. Die schiere Leistungsfähigkeit dieser Erweiterungen bedeutete, dass sie den Browsercode von Firefox ändern konnten, was zu Instabilität und unschuldig aussehenden Malware-Add-Ons führen konnte.

wie man Airpods reinigt

Stattdessen hat Mozilla daran gearbeitet WebExtensions , die den Add-Ons von Chrome und Edge ähneln. Dies ist die Zukunft der Firefox-Erweiterungen. Da diese Add-Ons standardmäßiger funktionieren müssen und sich nicht mit dem internen Code von Firefox anlegen können, sollten sie weniger Probleme verursachen. Für Entwickler soll es auch einfacher sein, Add-Ons von Chrome auf Firefox zu portieren.

Derzeit unterstützt Firefox sowohl traditionelle (alte) Erweiterungen als auch WebExtensions. Mit Firefox 57 funktionieren die älteren Erweiterungen nicht mehr und nur neuere WebExtensions funktionieren. Diese Änderung ist bereits live in Firefox Nightly , die führende Entwicklungsversion von Firefox. Entwickler wurden gedrängt, ihre Erweiterungen zu aktualisieren, aber nicht alle – was uns zum Problem führt.

So sehen Sie, ob Ihre Erweiterungen nicht mehr funktionieren

Wenn Sie Firefox heute verwenden, können Sie überprüfen, welche Ihrer Erweiterungen in Version 57 nicht mehr funktionieren. Klicken Sie zur Überprüfung auf Menü > Add-ons und wählen Sie die Kategorie Erweiterungen.

Anzeige

Ältere Erweiterungen, die nicht mehr funktionieren, sind mit einem Legacy-Tag gekennzeichnet, wenn Sie Firefox 55 oder neuer verwenden. Moderne WebExtensions, die weiterhin funktionieren, werden normal angezeigt.

So suchen Sie nach neuen Erweiterungen

Wenn eine Erweiterung über ein Legacy-Tag verfügt, können Sie überprüfen diese Liste beliebter Erweiterungen mit Informationen über ihren Upgrade-Status. Im obigen Screenshot ist LastPass beispielsweise als Legacy-Erweiterung markiert, die nicht mehr funktioniert, aber wir können sehen, dass die Entwickler planen, sie vor dem Veröffentlichungsdatum von Firefox 57 durch eine WebExtension zu ersetzen.

Bei weniger beliebten Erweiterungen müssen Sie möglicherweise eine Websuche durchführen, um zu sehen, ob der Entwickler ein Update plant. Entwickler müssen Hafen ihre Erweiterungen zu WebExtensions, und nicht alle Entwickler werden dies tun.

So verbinden Sie zwei Airpods

Wenn eine Erweiterung, von der Sie abhängig sind, nicht mehr funktioniert, müssen Sie möglicherweise nach einer modernen Alternative suchen, die ähnliche Funktionen bietet. Sie können nur nach Add-Ons suchen, die mit Firefox 57 oder neuer kompatibel sind die Mozilla-Add-ons-Site .

Jedes Add-On mit dem Tag 'Kompatibel mit Firefox 57+' ist eine WebExtension, die weiterhin funktioniert. Beispielsweise ist für die von uns installierte User Agent Switcher-Erweiterung kein Upgrade geplant, daher möchten wir wahrscheinlich eine der moderneren User Agent Switcher-Erweiterungen installieren.

VERBUNDEN: Browsererweiterungen sind ein Albtraum für die Privatsphäre: Hören Sie auf, so viele von ihnen zu verwenden

Dies ist jedoch ein guter Zeitpunkt, um zu prüfen, ob Sie alle diese Erweiterungen tatsächlich benötigen. Browsererweiterungen können gefährlich sein , daher ist es eine gute Idee, sie nur zu installieren, wenn sie für Sie wirklich nützlich sind und von einer vertrauenswürdigen Quelle stammen.

So verwenden Sie weiterhin ältere Erweiterungen

Wenn Sie wirklich eine alte Erweiterung benötigen, gibt es eine Möglichkeit, sie sicher weiter zu verwenden. Wechseln Sie zum Firefox Extended Support Release, auch bekannt als Firefox ESR . Dies ist eine langsamere Version von Firefox, die hauptsächlich für Unternehmen gedacht ist, die nicht alle sechs Wochen größere Funktions-Upgrades wünschen.

Mac im Zielmodus starten
Anzeige

Die aktuelle Version von Firefox ESR basiert auf Firefox 52 und wird bis zum . mit Sicherheitsupdates unterstützt 26. Juni 2018 . Da es auf Firefox 52 basiert, funktionieren ältere Erweiterungen weiterhin problemlos

Nach dem 26. Juni 2018 müssen Sie auf eine neuere Version von Firefox ESR aktualisieren, die keine älteren Erweiterungen mehr unterstützt, wenn Sie weiterhin Sicherheitsupdates erhalten möchten. Dies ist keine dauerhafte Lösung, aber es ist eine gute Möglichkeit, Ihre aktuellen Erweiterungen weitere sieben Monate lang zu verwenden, während Sie modernere Alternativen evaluieren.

WEITER LESEN Profilfoto von Chris Hoffman Chris Hoffmann
Chris Hoffman ist Chefredakteur von How-To Geek. Er schreibt über ein Jahrzehnt über Technologie und war zwei Jahre lang Kolumnist bei PCWorld. Chris hat für die New York Times geschrieben, wurde als Technologieexperte von Fernsehsendern wie Miamis NBC 6 interviewt und ließ sich von Nachrichtenagenturen wie der BBC über seine Arbeit berichten. Seit 2011 hat Chris über 2.000 Artikel geschrieben, die fast eine Milliarde Mal gelesen wurden – und das nur hier bei How-To Geek.
Vollständige Biografie lesen